Bungeecord, falsche Version

Dieses Thema im Forum "Server Plugins" wurde erstellt von CubBossa, 27. Oktober 2016.

  1. CubBossa
    Offline

    CubBossa

    Registriert seit:
    17. Juli 2015
    Beiträge:
    30
    Ort:
    Internet
    Minecraft:
    CubBossa
    Heyo,
    Vielleicht bin ich ja einfach zu doof ^^ aber irgendwas stimmt nicht. Wenn man auf meinen Bungeecord nicht mit der passenden Version des Default Servers oder Fallbacks joint, sagt er mir nicht, welche Version ich nutzen soll. Ein Grund, wesshalb viele Spieler meinen, mein Server sei unerreichbar. Die Rückgabe von Bungeecord ist: Could not connect to default or fallback server, please try later again: java.net.ConnectionException
    Nunja, ich suche nun eine Möglichkeit, die einem meldet wenn man mit der falschen version auf den Server geht
    Ne idee? :)
    Lg Cubse
     
    #1
  2. pinkpoint
    Offline

    pinkpoint

    Registriert seit:
    13. Oktober 2016
    Beiträge:
    72
    Minecraft:
    pinkpoint
    Hii,
    hast Du im LobbyServer oder den angeschlossenen in der spigot.yml "bungeecord: true" eingestellt? Wenn nein, nachholen ;)
    UND: In der server.properties der angeschlossenen Server muss "online-mode=false" eingestellt sein.
    Das kann in der spigot.yml eingedeutscht werden.
     
    #2
  3. CubBossa
    Offline

    CubBossa

    Registriert seit:
    17. Juli 2015
    Beiträge:
    30
    Ort:
    Internet
    Minecraft:
    CubBossa
    Das ist nicht die Lösung zu meinem Problem, sorry. Vielleicht muss ich mich deutlicher ausdrücken. Ich habe den bungeeserver seit mehreren Monaten erfolgreich am laufen. Ich will lediglich, dass angezeigt wird wenn man versucht, mit einer falschen version beizutreten. Durch die oben genannte Connection Fehlermeldung denken die Spieler nämlich der Server sei down oder ähnliches
     
    #3
  4. pinkpoint
    Offline

    pinkpoint

    Registriert seit:
    13. Oktober 2016
    Beiträge:
    72
    Minecraft:
    pinkpoint
    Das wurde in meinem Post auch beantwortet. :rolleyes:
     
    #4
  5. CubBossa
    Offline

    CubBossa

    Registriert seit:
    17. Juli 2015
    Beiträge:
    30
    Ort:
    Internet
    Minecraft:
    CubBossa
    Auch nicht. Die nachricht, die ich angesprochen habe kommt nämlich von Bungeecord, und nicht von Spigot. Und Spigot hat diese Funktion nicht geboten
     
    #5
  6. pinkpoint
    Offline

    pinkpoint

    Registriert seit:
    13. Oktober 2016
    Beiträge:
    72
    Minecraft:
    pinkpoint
    Hii,
    wenn bei mir ein Spieler mit der falschen MC-Version joint, bekommt er die Meldung, die ich in spigot.yml eingestellt habe:
    Code (Text):
    1. messages:
    2.   whitelist: Du bist nicht auf der Whitelist!
    3.   unknown-command: Unbekannter Befehl.
    4.   server-full: Der Server ist voll!
    5.   outdated-client: Falsche Minecraft Version. Bitte benutze 1.10.x
    6.   outdated-server: Server Version ist 1.10.x
    7.   restart: Server Neustart
    Siehe Zeile 5.

    Bungee müsste da keine Meldung generieren, da er den Client lediglich auf den Server weiterleitet. Stimmt die Version nicht, merkt das der angeschlossene Server und nicht Bungee.

    Diese Fehlermeldung kann unmöglich wegen der falschen MC-Version sein. Ansonsten stimmt etwas in der Bungee-Config nicht! Dann poste bitte die Config. Heikle Daten kannst du durch *** ersetzen.
     
    #6
  7. CubBossa
    Offline

    CubBossa

    Registriert seit:
    17. Juli 2015
    Beiträge:
    30
    Ort:
    Internet
    Minecraft:
    CubBossa
    Naja, ich hab versucht, in einer Menge Versionen zu joinen, entweder wurde ich verbunden, oder ich bekam diese meldung. Ich danke für die angebotene hilfe bzgl der Bungee Config, aber ich hab mich entschieden, den bungee aus finanziellen Gründen auslaufen zu lassen. Von daher hat sich der fall eh erledigt :) Macht einfach nicht besonders viel sinn, bei so einem kleinen Server
    Lg Cubse
     
    #7